body {
    text-align: left;
    font-size: 16px;
    margin: 0;
    overflow-x: hidden;
    color: #aaaaaa;
}

.mr10 {
    margin-right: 10px;
}

.btnwidth {
    min-width: 90px;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background: #D9D9D9;
}

::-webkit-scrollbar-thumb {
    background: #D9D9D9;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* ::placeholder{
    color: #fff !important;
} */

.bg {
    background-color: #F5F5F5;
    height: 100vh;
}

.mt-20 {
    margin-top: 20px;
}

.mt-40 {
    margin-top: 40px;
}

.mt-10 {
    margin-top: 10px;
}

.mb-10 {
    margin-bottom: 10px;
}

.mb-20 {
    margin-bottom: 20px;
}

.login-outer {
    position: relative;
}

.login-log {
    text-align: center;
    padding: 50px 40px 0px 40px;
}

.login-left-img {

    vertical-align: middle;
    border-style: none;
    height: 100vh;
    width: 100%;
}

.login-right-title {
    line-height: 20px;
    margin-bottom: 20px;
}

.login-right-title .title1 {
    line-height: 20px;
    font-size: 24px;
    color: #F7F9FA;
    padding: 30px 10px 0px 50px;
}

.login-right-title .title2 {
    margin-bottom: 20px;
    font-size: 24px;
    font-weight: 700;
    color: #fff;
    padding: 5px 10px 0px 50px;
}

.login-left {
    padding: 0;
}

.login-right {
    padding: 0;
}

.login-box-container {
    display: flex;
    flex-direction: row-reverse;
}

.login-box {
    margin-right: 10%;
    padding: 10px;
    background-color: #F5F5F5;
    border: 0;
    width: 70%;
    margin: 0 auto;
    text-align: center;

}

.login-box .form-control {
    padding: 25px 10px !important;
    height: 30px;
    margin-left: 5px;
}

.reminder {
    padding: 0px 10px 10px;
    font-size: small;
    font-weight: 600;
    margin-top: -15px;
}

.login-image {
    position: fixed;
    bottom: 0;
    left: 0;
    max-width: 500px;
    z-index: 10;
}



.jpl-logo {
    /* height: 3.0rem; */
    width: 128px !important;

}

.jpl-logo-top {
    width: 128px !important;
}

.black-color {
    color: #000;
}

.black-color-opacity {
    color: #000;
    opacity: 0.5;
}

.white-color {
    color: #fff;

}

.white-placeholder ::placeholder {
    color: white;
}


.form-control {
    display: block;
    width: 100%;
    height: 40px;
    padding: 8px 15px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #F7F9FA;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 10px;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.form-select {
    display: block;
    width: 100%;
    height: 40px;
    padding: 4px 15px !important;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #F7F9FA;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 10px;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.select-control {
    display: block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 2px 10px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-clip: padding-box;
    border: 0px;
    border-radius: 10px;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.btn-login {
    display: block;
    width: 100%;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 10px;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    padding: 1rem 0.75rem;
}

.forgot-link {
    color: #000;
    text-decoration: none;
    padding: 10px 0px 10px 0px;
}

.forgot-link:hover {
    color: #3F64DD;
    text-decoration: none;
}

.toggle-password {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    z-index: 2;
}

.forgot-line {
    display: inline-block;
    width: 25%;
    border-top: 1px solid #ccc;
    margin: 0 10px;
    vertical-align: middle;
}

.container {
    max-width: 100%;
}

.map-checking-time {
    flex-shrink: 0;
    text-align: right;
    width: 95px;
    margin: 0 auto;
}

/*sidebar-menu*/

.navbar {
    padding: 10px 20px;
    background: rgb(229 229 230);
    border: none;
    border-radius: 0;
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebar {
    min-width: 250px;
    max-width: 250px;
    /*  background: #161616; */
    color: #747474;
    /* height: 100vh; */
    transition: all 0.3s;
    border-right: 1px solid lightgray;
}

#sidebar .active {
    background: #F7F9FA;

}

.sidebar__item {
    color: #747474;
}

.sidebar__item .active {
    color: #fff;
}

#sidebar.active {
    margin-left: -250px;
}

#sidebar .sidebar-header {
    padding: 20px 25px;
    background: #ffffff;
}

#sidebar .logo {
    width: 170px;
}

#sidebar ul.components {
    padding: 40px 0;

}

#sidebar ul p {
    color: #747474;
    padding: 10px;
}

#sidebar ul li a {
    padding: 15px;
    font-size: 16px;
    display: block;
}

#sidebar ul li a:hover {
    color: #f8961d;
    background: #F9F7FF;
}

#sidebar ul li.active>a,
a[aria-expanded="true"] {
    color: #f8961d
}


/* Use the adjacent sibling combinator to target the <img> element when its parent <li> is active */
.list-unstyled.components li.active .icon-sidebar svg path {
    color: #f8961d;
    fill: #f8961d;
}

#sidebar ul li a:hover svg path {
    fill: #f8961d;
    /* Change this to your desired color */
}


.list-unstyled.components li:not(.active) .icon-sidebar svg path {
    fill: #8B8B8B;
    /* Change this to your desired color */
}


a[data-toggle="collapse"] {
    position: relative;
}

.w-100 {
    width: 100% !important;
}

.btn-toggle-menu {
    color: #fff;
    background-color: #000;
    border-color: #fff;
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 10;
    display: none;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

a {
    color: #fff;
}

ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    background: #6d7fcc;
}

ul.CTAs {
    padding: 20px;
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
}

a {
    text-decoration: none !important;
}

a:hover {

    text-decoration: none !important;
}

a.download {
    background: #fff;
    color: #7386D5;
}

a.article,
a.article:hover {
    background: #161616 !important;
    color: #fff !important;
    text-decoration: none !important;
}

.top-container {
    /* background: #663BC0;
    border-bottom: solid 1px #EBEBEB; */
    position: fixed;
    top: 0;
    z-index: 50;
    /* width:calc(100% - 250px); */
    width: 100%;
    width: -webkit-fill-available;
}


@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
    }

    #sidebar.active {
        margin-left: 0;
    }

    #sidebarCollapse span {
        display: none;
    }

    .visible-on-mobile {
        display: block !important;
    }
}

.content {
    width: 100% !important;
    transition: all 0.3s;
    overflow: scroll;
    min-height: 200px;
    /* max-height: 700px; */
    overflow-x: hidden !important;
    position: relative;
}

#page-containter {
    width: 100%;
    padding: 5px 5px;
    margin-top: 80px;
}

.sidebar-title {
    display: inline-block;
    padding: 10px 0px 0px 20px;
    color: transparent;
    text-decoration: none;
    font-weight: bold;
    font-size: 30px;
    background-image: linear-gradient(75deg, #124de4, #e41212);
    -webkit-background-clip: text;
    background-clip: text;
}

.sidebar-title2 {
    display: inline-block;
    text-decoration: none;
    font-weight: bold;
    font-size: 32px;
    color: #fff;
    margin-top: -20px;
    margin-bottom: 0px;
    padding-left: 20px;
}

.icon-sidebar {
    padding-left: 1px;
    padding-right: 10px;
}

.icon-sidebar img {
    height: 24px;
    width: 24px;
}


.dash-sub-head {
    font-weight: 700;
    font-size: 17px;
    padding-bottom: 12px;
    color: #101010;
}

.popular__title span {
    display: block;
    color: #747474;
    font-size: 14px;
}

.today-date {
    border-radius: 20px;
    background-color: #F7F7F7;
    padding: 6px 15px;
    font-size: 12px;
    line-height: 12px;
    color: #747474;
    height: 24px;
}

.today-employees-box {
    border: solid 1px #E8E8E8;
    border-radius: 24px;
    overflow: hidden;
    padding: 0px 10px;
    max-height: 450px;
    min-height: 450px;
    overflow-y: auto;
}

.live-locaton-box {
    border: solid 1px #ccc;
    border-radius: 24px;
    overflow: hidden;
    max-height: 450px;

}

/*dashboard*/
.top-heading {
    color: #101010;
    font-size: 30px;
}

.dropdown-menu {
    position: absolute !important;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: block;
    float: left;
    min-width: 10rem;
    padding: 0.5rem 0;
    margin: 0.125rem 0 0;
    font-size: 1rem;
    color: #212529;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 20px;
}

.dropdown-item {
    display: block;
    width: 100%;
    padding: 0.5rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    white-space: nowrap;
    background-color: #F7F7F7;
    border: 0;
    width: 250px;
    margin: 5px;
}

.status-box {
    display: flex;
    padding: 15px 0px 15px 15px;
    flex: 0 0 50%;
    border-radius: 24px;
    color: #1f1f1f;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    transition: all .2s;
    background-color: #fff;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.1), 0 0px 1px 0 rgba(0, 0, 0, 0.1);
    margin-bottom: 10px;
    min-height: 100px;
}

.status-box-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    width: 30px;
    height: 30px;
    margin-right: 0px;
    border-radius: 30%;
    margin-right: 8px;
}

.status-box-icon img {
    width: 100%;
}

.status-box-subtitle {
    display: flex;
    align-items: center;
    margin-bottom: 4px;
    font-size: 15px;
    font-weight: 600;
    line-height: 1.23077;
    color: #101010;
    padding-top: 5px;
}

.status-counter {
    font-size: 38px;
    font-weight: 700;
    line-height: 40px;
}

.head-session {
    display: flex;
    margin-top: 20px;
    justify-content: space-between;
    font-weight: 600;
    line-height: 1.23077;
    color: #6F767E;
}

.employees_list {
    margin: 0 -12px;
}

.employees_item {
    display: flex;
    align-items: center;
    padding: 10px;
    color: #1f1f1f;
    cursor: pointer;
    border-bottom: solid 1px #f1f1f1;
}

.profile_pic {
    display: flex;
    margin-right: 10px;
    overflow: hidden;
    border-radius: 50%;
    border: 1px solid #dadada;
    position: relative;
}

.status_dot {
    position: absolute;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    border: 3px solid white;
    margin-left: 5px;
    right: 0px;
    bottom: 4px;
}

.profile_pic img {
    width: 100%;
    /* min-width: 350px; */
    /* min-height: 350px; */
}

.width-100 {
    width: 100%;
}

.employees_title {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    padding-right: 18px;
    transition: color .2s;
    font-size: 16px;
    font-weight: 600;
}

.employees_title .name {
    flex-grow: 1;
    padding-right: 18px;
    color: #101010;
    font-size: 14px;
    display: block;
}

.employees_title .degignation {
    flex-grow: 1;
    padding-right: 16px;
    color: #747474;
    font-size: 12px;
    display: block;
}

.checking-time {
    flex-shrink: 0;
    text-align: center;
    width: 90px;
    margin-right: 20px;
}

.status-red {
    background: #FFE0E0;
    color: #F46E6E;
    border-radius: 20px;
    padding: 5px 10px;
    font-size: 12px;
    font-weight: 600;
}

.status-green {
    background: #E8FBE8;
    color: #42AA3F;
    border-radius: 20px;
    padding: 5px 10px;
    font-size: 12px;
    font-weight: 600;
}

.status-yellow {
    background: #FFDFA5;
    color: #EFA929;
    border-radius: 20px;
    padding: 5px 10px;
    font-size: 12px;
    font-weight: 600;
}

.color_green {
    color: #42AA3F;
}

.color_red {
    color: #F46E6E;
}

.notification-head {
    font-size: 22px;
    font-weight: 700;
    color: #101010;
}

.notification-container {
    position: relative;
    display: inline-block;
}

.notification-icon {
    cursor: pointer;
    padding-left: 20px;
}

.notification-icon img {
    height: 20px;
}

.notification-not-found {
    text-align: center;
    margin: 0 auto;
    padding: 50px 20px;
}

.notification-dropdown:before {
    content: "";
    position: absolute;
    bottom: 100%;
    width: 20px;
    height: 10px;

}

.notification-dropdown {
    display: block;
    position: absolute;
    top: 40px;
    right: -88px;
    background-color: #fff;
    border-top: none;
    min-width: 400px;
    z-index: 1000;
}

.notification-box {
    border: solid 1px #ccc;
    overflow: hidden;
    padding: 10px;
    height: 650px;
    overflow-y: auto;
}

.notification_item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #ccc;
    text-decoration: none;
    color: #333;
}

.notification_item .check_staus {
    color: #E8E8E8;
}

.item-details {
    display: flex;
    flex-direction: column;
}

.just-checked {
    font-size: 14px;
}

.check_status {
    font-size: 13px;
}

.badge {
    position: absolute;
    top: 0px;
    right: 0px;
    background-color: red;
    color: white;
    border-radius: 50%;
    padding: 4px;
    height: 10px;
    width: 10px;
}

.search-container {
    display: flex;
    align-items: center;
}

.main {
    width: 50%;
    margin: 50px auto;
}

.search {
    position: relative;
    flex-shrink: 0;
    width: 400px !important;
}

.ddlicon {
    /* padding: 0px 30px 0px 0px; */
    font-weight: 700;
    font-size: 15px;
    border: none;
    border-radius: 50px;
    /* background-color: transparent; */
}

.ddlicon.ddlicon2 {
    font-weight: 600;
    font-size: 18px;
}

.page-title {
    font-size: 22px;
    color: #f8961d;
}

#navbarDropdown option {
    font-size: 18px;
}

select#navbarDropdown-employee {
    padding: 13px 28px 13px 5px;
    border-radius: 12px;
    color: #495057;
    background-color: #F7F9FA;
    background-clip: padding-box;
    border: 1px solid #ced4da;
}

.has-search .form-control {
    padding-left: 2.375rem;
}

.has-search .form-control-feedback {
    position: absolute;
    z-index: 2;
    display: block;
    width: 2.375rem;
    height: 2.375rem;
    line-height: 2.375rem;
    text-align: center;
    pointer-events: none;
    color: #aaa;
}

.search__input {
    width: 100%;
    height: 38px;
    padding: 0 68px 0 20px;
    background: #EEEEEE;
    border: 1px solid transparent;
    border-radius: 12px;
    font-size: 15px;
    font-weight: 600;
    line-height: 1.6;
    color: #1f1f1f;
    transition: all .2s;
}

.input-group>.search__input:not(:last-child) {
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
    padding: 20px 15px 20px 25px;
    font-size: 14px;
    font-weight: 500;
    background-color: transparent;
    border-bottom: 1px solid #fff;
    border-radius: 0;
}

.fa-search {
    font-weight: 600;
}

.search-icon {
    position: absolute;
    /* right: 45px; */
    left: 6px;
    top: 8px;
}

.user-avtar-icon {
    display: flex;
    width: 34px;
    height: 34px;
    margin-right: 12px;
    overflow: hidden;
    border-radius: 50%;
}

.select-employee-container {
    position: relative;
    z-index: 100;
    margin-top: -20px;
}

.select-employee-container .item {
    display: flex;
    padding: 5px 20px;
    flex: 0 0 50%;
    border-radius: 12px;
    color: #1f1f1f;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    transition: all .2s;
    background-color: #fff;
    margin-bottom: 10px;
    flex-direction: column;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 0px 1px 0 rgba(0, 0, 0, 0.1);
}

.selected-checked {
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    flex-direction: row-reverse;
}

.item .chech_in {
    background: #EAFAE5;
    color: #83BF6E;
    border-radius: 40px;
    padding: 6px 20px 6px 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 150px;
    margin: 10px 0px
}

.item .chech_out {
    background: #FFE0E0;
    color: #F46E6E;
    border-radius: 40px;
    padding: 6px 20px 6px 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 150px;
    margin: 10px 0px
}

.timein,
timeout {
    text-decoration: none;
}

.timein::before {
    content: "";
    background-color: #42AA3F;
    color: white;
    border-radius: 50%;
    padding: 4px;
    height: 5px;
    width: 5px;
    display: inline-block;
    margin-right: 5px;
}

.timeout::before {
    content: "";
    background-color: #F46E6E;
    color: white;
    border-radius: 50%;
    padding: 4px;
    height: 5px;
    width: 5px;
    display: inline-block;
    margin-right: 5px;
}

.red_badge {
    position: absolute;
    top: 0px;
    right: 0px;
    background-color: red;
    color: white;
    border-radius: 50%;
    padding: 4px;
    height: 10px;
    width: 10px;
}

.item .profile_pic {
    display: flex;
    width: 24px;
    height: 24px;
    margin-right: 12px;
    overflow: hidden;
    border-radius: 50%;
}




.dropdown-content {
    margin-left: 45px !important;
}

.sliding-notification {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 20px;
    border-radius: 5px;
    transition: transform 0.5s cubic-bezier(0.22, 0.61, 0.5, 0.18), opacity 0.5s cubic-bezier(0.22, 0.61, 0.5, 0.18);
    opacity: 0;
    transform: translateY(100%);
}

.sliding-notification.visible {
    opacity: 1;
    transform: translateY(0);
}


/* divakar sir 280224 */

.report-box {
    display: flex;
    padding: 20px 10px;
    flex: 0 0 50%;
    border-radius: 24px;
    color: #fff;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    transition: all .2s;
    background-color: #3F64DD;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 0px 1px 0 rgba(0, 0, 0, 0.1);
    margin-bottom: 10px;
    height: 242px;
    flex-direction: column;
    background-image: url(../static/bg-user-report.png);
    background-repeat: no-repeat;

}

.report-box .user-details {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.report-box .profile_pic {
    display: flex;
    width: 130px;
    height: 130px;
    margin-right: 12px;
    overflow: hidden;
    border-radius: 50%;
    margin-top: -63px;
    padding-left: 50px;
    border: 5px solid #fff;
    padding: 0px;
    margin-left: 30px;
    background-color: #000;
}

.report-box .profile_pic img {
    width: 100%;
    border-radius: 50%;
}

.report-box .name {
    font-size: 22px;
    font-weight: bold;
}

.report-box .degignation {
    font-size: 18px;
}

.report-box .email {
    font-size: 16px;
}

.onsite .location-icon {
    display: flex;
    width: 24px;
    height: 24px;
    /* margin-right: 12px; */
    overflow: hidden;
    border-radius: 50%;
    padding: 5px;
}

.report-box .contact-details {
    display: flex;
    margin-top: 30px;
    margin-left: 40px;
}

.report-box .contact-details span {
    font-size: 14px;
    font-weight: 500;
    margin-right: 10px;
    border: solid 1px #5878e2;
    background: #5878E1;
    padding: 5px 15px;
    border-radius: 40px;
}


.logout-dropdown {
    position: relative;
    display: inline-block;
}

.logout-dropdown .user-avtar-icon {
    cursor: pointer;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 1px solid #f8961d;
    margin-right: 0px;
}

.logout-dropdown .user-avtar-icon img {
    width: 100%
}

.logout-dropdown-menu {
    position: absolute;
    top: 100%;
    right: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    z-index: 1;
    width: 160px;
}

.logout-dropdown-menu ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.logout-dropdown-menu ul li {
    padding: 8px 16px;
    cursor: pointer;
}

.logout-dropdown-menu ul li:hover {
    background-color: #f5f5f5;
}

.password-visibility-login {
    position: absolute;
    right: 10px;
    top: 20%;
    /* transform: translateY(-50%); */
    cursor: pointer;
    z-index: 2;
}

.password-visibility {
    position: absolute;
    right: 10px;
    top: 50%;
    /* transform: translateY(-50%); */
    cursor: pointer;
    z-index: 2;
}

.custom-card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 0 !important;
    border-radius: 0.25rem;
}

.attendance-report .table-responsive {
    margin-top: 8px !important;
}

.error {
    color: red;
    display: block;
    height: 10px;
    text-align: left !important;
}

.move-right {
    float: right;
}

/* styled loader */

@import url(https://fonts.googleapis.com/css?family=Quattrocento+Sans);

.position-center {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    text-align: center;
}

.loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    z-index: 9999;
}

.loading-text {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 100%;
    height: 100px;
    line-height: 100px;
}

.loading-text span {
    display: inline-block;
    margin: 0 5px;
    color: #fff;
    font-family: 'Quattrocento Sans', sans-serif;
}

.loading-text span:nth-child(1) {
    filter: blur(0px);
    animation: blur-text 1.5s 0s infinite linear alternate;
}

.loading-text span:nth-child(2) {
    filter: blur(0px);
    animation: blur-text 1.5s 0.2s infinite linear alternate;
}

.loading-text span:nth-child(3) {
    filter: blur(0px);
    animation: blur-text 1.5s 0.4s infinite linear alternate;
}

.loading-text span:nth-child(4) {
    filter: blur(0px);
    animation: blur-text 1.5s 0.6s infinite linear alternate;
}

.loading-text span:nth-child(5) {
    filter: blur(0px);
    animation: blur-text 1.5s 0.8s infinite linear alternate;
}

.loading-text span:nth-child(6) {
    filter: blur(0px);
    animation: blur-text 1.5s 1s infinite linear alternate;
}

.loading-text span:nth-child(7) {
    filter: blur(0px);
    animation: blur-text 1.5s 1.2s infinite linear alternate;
}

@keyframes blur-text {
    0% {
        filter: blur(0px);
    }

    100% {
        filter: blur(4px);
    }
}

.dropdown-content-sidebar {
    margin-left: 55px !important;
}



/* new css hamburger */


#menuToggle a {
    text-decoration: none;
    color: #232323;

    transition: color 0.3s ease;
}

#menuToggle a:hover {
    color: tomato;
}


#menuToggle input {
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;

    cursor: pointer;

    opacity: 0;
    /* hide this */
    z-index: 2;
    /* and place it over the hamburger */

    -webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */


#settings h1 {
    font-size: 50px;
    font-family: 'Poppins', sans-serif;
    margin-bottom: 0;
    line-height: 1;
    font-weight: 700;
}

.slider-status {
    text-align: center;
}

.dot {
    color: #000;
}

.location-icon img {
    height: 22px;
    padding: 3px;
}


.report-box .Onsite {
    font-size: 13px;
    background: #CBF6CA;
    color: #42AA3F;
    border-radius: 40px;
    padding: 5px 15px 5px 12px;
    display: flex;
    margin: -25px 0px 0px 50px;
    align-items: center;
    position: relative;
    justify-content: space-evenly;
    font-weight: 600;
    width: 90px;
}

.report-box .Away {
    font-size: 13px;
    /* Fallback for older browsers */
    background-color: #FFE0E0;
    /* Gradient */
    background-image: linear-gradient(to bottom right, #FFE0E0, #FFD1D1);
    color: #aa443f;
    border-radius: 40px;
    padding: 5px 15px 5px 12px;
    display: flex;
    margin: -25px 0px 0px 50px;
    align-items: center;
    position: relative;
    justify-content: space-evenly;
    font-weight: 600;
    width: 90px;
}

.report-box .Offline {
    font-size: 13px;
    background: #fcebcc;
    color: #f3bb57;
    border-radius: 40px;
    padding: 5px 15px 5px 12px;
    display: flex;
    margin: -25px 0px 0px 50px;
    align-items: center;
    position: relative;
    justify-content: space-evenly;
    font-weight: 600;
    width: 90px;
}

.disable-pointer {
    cursor: not-allowed;
}

.visible-on-mobile {
    display: none;
}

.table-responsive {
    font-size: 16px;
}

.table-responsive.mt-5 {
    margin-top: 10px !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    width: 100%;
    overflow-x: auto;
}

.table-responsive tr {
    transition: 0.3s;
}

.table-responsive tr a {
    transition: 0.3s;
}

.table-responsive tr:hover {
    background-color: #f7f7f7;
}

.table-responsive tr:hover .action-icon {
    color: #20493E;
}

.table-responsive tr:hover .action-icon:last-child {
    color: #ff0000;
}

.table-responsive tr .action-icon:first-child {
    padding-left: 20px;
}

.table-responsive tr .action-icon {
    padding-left: 10px;
}

.card-body .form-select {
    margin-right: 10px;
    margin-left: 5px;
}

.card-body .form-control {
    padding: 19px 10px;
    height: 30px;
    margin-left: 5px;
}

@-moz-document url-prefix() {
    .card-body .form-control {
        padding: 0 15px;
        height: 40px;
        margin-left: 0;
    }
}



.pagination {
    margin-left: auto;
}

.btn-close {
    position: relative;
    background-color: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
    width: 20px;
    /* Adjust width and height as needed */
    height: 20px;
}

.btn-close::before,
.btn-close::after {
    content: '';
    position: absolute;
    width: 2px;
    /* Adjust thickness of lines */
    height: 20px;
    /* Adjust height of lines */
    background-color: #000;
    /* Adjust color of lines */
}

.btn-close::before {
    transform: rotate(45deg);
}

.btn-close::after {
    transform: rotate(-45deg);
}

.table-responsive .sitename {
    font-size: 14px;
    font-weight: 500;
    color: #747474;
}

.table-responsive .phonenumber {
    font-size: 14px;
    font-weight: 500;
    color: #747474;
}

.profile-file-input {
    position: relative;
    display: inline-block;
    background: transparent !important;
}

.profile-button {
    display: inline-block;
    color: white;
    cursor: pointer;
    margin-bottom: 0 !important;
}

.gm-style-iw.gm-style-iw-c {
    width: 268px;
    border-radius: 24px;
    height: 135px;
}

.mapprofilecard {
    display: flex;
    padding: 10px 0px;
}

.mapprofilecard .avatar {
    width: 44px;
    height: 44px;
    border-radius: 50%;
    overflow: hidden;
    border: 1px solid #efefef;
    margin-right: 10px;
}

.mapprofilecard .avatar img {
    width: 100%;
}

.mapprofilecard button {
    display: none;
}

.mapprofilecard .name {
    font-size: 16px;
    font-weight: 600;
    color: #101010;
    padding-bottom: 5px;
}

.mapprofilecard .designation {
    font-size: 14px;
    font-weight: 400;
    color: #747474;
}

.mapprofilecard .map-checking-time {
    margin: 0px;
    margin-top: 20px;
    width: 120px;
    text-align: center;
}

.mapprofilecard .status-green {
    padding: 10px 20px;
    font-size: 14px;
}

.gm-ui-hover-effect {
    top: 10px !important;
    right: 10px !important;
    outline: none !important;
}

.sliding-notification .card {
    width: 300px;
    border-radius: 24px;
    background-color: #fafafa;
}

.sliding-notification .card .name {
    font-size: 18px;
    font-weight: 600;
    color: #101010;
    padding-bottom: 10px;
    max-width: 250px;
}

.sliding-notification .card .status-red {
    width: 100px;
}

.sliding-notification .card .status-green {
    width: 100px;
}




.card-dash {
    background: linear-gradient(125.07deg, #FFCCBE -6.62%, #FFF6F3 78.54%);
    border-radius: 10px;
    padding: 20px;
    width: 100%;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    position: relative;
}



.violet-card {
    background: linear-gradient(125.07deg, #E2D4FF -6.62%, #FDFCFF 78.54%);

}

.green-card {
    background: linear-gradient(125.07deg, #E8F5D4 -6.62%, #F9FFF0 78.54%);

}

.blue-card {
    background: linear-gradient(125.07deg, #CFE6FC -6.62%, #F3F9FF 78.54%);
    min-height: 100%;

}

.card-content-dash {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.header-dash {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.title-dash {
    color: #ff6f61;
    font-size: 18px;
    font-weight: bold;
}

.violet-title {
    color: #663BC0;

}

.green-title {
    /* color: #61ff61;  */
    color: #86A94A;
}

.blue-title {
    color: #52A4F6;
}

.percentage-dash {
    background-color: #dff0d8;
    color: #3c763d;
    padding: 5px 10px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    font-size: 14px;
}

.percentage-dash svg {
    margin-right: 5px;
}

.sub-title-dash {
    color: #8a8a8a;
    font-size: 14px;
    margin-top: 5px;
}



.number-dash {
    color: #ff6f61;
    font-size: 48px;
    font-weight: bold;
    margin-top: 10px;
}

.violet-number {
    color: #6f61ff !important;
}

.green-number {
    /* color: #61ff61; */
    color: #86A94A;
}

.icon-dash {
    position: absolute;
    bottom: 20px;
    right: 20px;
    display: flex;
    align-items: center;
    /* position: relative; */
}

.icon-dash svg {
    color: #ff6f61;
    width: 40px;
    height: 40px;
}

.icon-dash img {
    width: 40px;
    height: 40px;

}

.icon-dash-violet svg {
    color: #6f61ff !important;
}

.icon-dash-green svg {
    /* color: #61ff61; */
    color: #86A94A;

}

.notification-dash {
    background-color: #ff6f61;
    color: white;
    border-radius: 50%;
    padding: 2px 6px;
    font-size: 12px;
    position: absolute;
    top: -5px;
    right: -5px;
}

.main-body {
    margin-top: 90px;
    margin-bottom: 20px;
    overflow: auto;
}

h1 {
    font-size: 22px;
    color: #f8961d;
}

.ohter-textbox {
    border: solid 1px #ccc;
    padding: 5px 10px;
    border-radius: 5px;
}

.user-designation {
    color: #f8961d;
    font-weight: 600;
}

.btn-primary {
    color: #fff;
    background-color: #20493E !important;
    border-color: #20493E !important;
}

.btn-primary:hover {
    color: #fff;
    background-color: #132d26 !important;
    border-color: #132d26 !important;
}

.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #132d26 !important;
    border-color: #132d26 !important;
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: #20493E;
    border-color: #20493E;
}